> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit application

> Retrieve detailed information about a specific credit application.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ✅    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /credit-applications/{credit_application_id}
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /credit-applications/{credit_application_id}:
    get:
      tags:
        - Credit applications
      summary: Get credit application
      description: |-
        Retrieve detailed information about a specific credit application.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ✅    | ❌   | ✅  |
      operationId: get_credit_application_credit_applications__credit_application_id__get
      parameters:
        - name: credit_application_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the [credit
              application](https://docs.mycreditapp.ai/api-reference/credit-applications/create-credit-terms-application)
            examples:
              - b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456
            title: Credit Application Id
          description: >-
            Unique identifier of the [credit
            application](https://docs.mycreditapp.ai/api-reference/credit-applications/create-credit-terms-application)
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailedCreditApplication'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Credit application not found!
                    type: request
                    code: credit_application_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    DetailedCreditApplication:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: >-
            Unique identifier of the [credit
            application](https://docs.mycreditapp.ai/api-reference/credit-applications/create-credit-terms-application)
          examples:
            - b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456
        credit_application_type:
          $ref: '#/components/schemas/CreditApplicationType'
          description: Type of credit application
        forwarder:
          $ref: '#/components/schemas/CreditApplicationOrganization'
          description: Organization that is part of the credit application
        shipper:
          $ref: '#/components/schemas/CreditApplicationOrganization'
          description: Organization that is part of the credit application
        status:
          $ref: '#/components/schemas/CreditApplicationStatus'
          description: Current status of the credit application
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the credit application was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the credit application was last updated
          examples:
            - '2025-01-02T12:00:00.123456'
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
          description: Timestamp when the credit application will expire
          examples:
            - '2025-01-02T12:00:00.123456'
        data:
          anyOf:
            - $ref: '#/components/schemas/CreditTermsData'
            - $ref: '#/components/schemas/TradeFinanceData'
            - $ref: '#/components/schemas/FactoringData'
          title: Data
        extra_details:
          anyOf:
            - $ref: '#/components/schemas/RetrieveCreditApplicationPostApprovalChange'
            - $ref: '#/components/schemas/RetrieveCreditApplicationNeedsActionChange'
            - $ref: '#/components/schemas/RetrieveCreditApplicationDeclineDetail'
            - type: 'null'
          title: Extra Details
      type: object
      required:
        - id
        - credit_application_type
        - forwarder
        - shipper
        - status
        - created_at
        - updated_at
        - expires_at
        - data
      title: DetailedCreditApplication
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    CreditApplicationType:
      type: string
      enum:
        - credit_terms
        - trade_finance
        - factoring
      title: CreditApplicationType
    CreditApplicationOrganization:
      properties:
        id:
          type: string
          maxLength: 100
          minLength: 1
          title: Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: >-
            Name of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - Example Corp.
        email:
          type: string
          format: email
          title: Email
          description: >-
            Official email of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - info@example.com
      type: object
      required:
        - id
        - name
        - email
      title: CreditApplicationOrganization
    CreditApplicationStatus:
      type: string
      enum:
        - pending
        - internal_review
        - external_review
        - needs_action
        - approved
        - finalized
        - declined
        - rejected
        - expired
        - sign_document_created
        - sign_document_in_progress
        - sign_document_completed
        - sign_document_expired
        - sign_document_canceled
        - sign_document_declined
        - sign_document_process_failed
      title: CreditApplicationStatus
    CreditTermsData:
      properties:
        details:
          $ref: '#/components/schemas/CreditTermsDetails'
          description: Credit application credit terms details
        trade_profile:
          $ref: '#/components/schemas/CreditTermsTradeProfile'
          description: Credit application credit terms trade profile
        trade_profile_document:
          anyOf:
            - $ref: >-
                #/components/schemas/CreditApplicationCreditTermsTradeProfileDocument
            - type: 'null'
          description: Optional trade profile document
        security_compliance:
          items:
            $ref: '#/components/schemas/CreditEnhancements'
          type: array
          title: Security Compliance
          description: List of credit security compliance enhancements items
      type: object
      required:
        - details
        - trade_profile
        - trade_profile_document
        - security_compliance
      title: CreditTermsData
    TradeFinanceData:
      properties:
        details:
          $ref: '#/components/schemas/TradeFinanceDetails'
          description: Credit application trade finance details
        customers:
          items:
            $ref: '#/components/schemas/CreditApplicationCustomerSupplier'
          type: array
          title: Customers
          description: >-
            Credit application [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        suppliers:
          items:
            $ref: '#/components/schemas/CreditApplicationCustomerSupplier'
          type: array
          title: Suppliers
          description: >-
            Credit application [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        security_compliance:
          items:
            $ref: '#/components/schemas/CreditEnhancements'
          type: array
          title: Security Compliance
          description: Credit application security compliance enhancements
      type: object
      required:
        - details
        - customers
        - suppliers
        - security_compliance
      title: TradeFinanceData
    FactoringData:
      properties:
        details:
          $ref: '#/components/schemas/FactoringDetails'
          description: Credit application factoring details
        customers:
          items:
            $ref: '#/components/schemas/CreditApplicationCustomerSupplier'
          type: array
          title: Customers
          description: >-
            Credit application [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        suppliers:
          items:
            $ref: '#/components/schemas/CreditApplicationCustomerSupplier'
          type: array
          title: Suppliers
          description: >-
            Credit application [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        security_compliance:
          items:
            $ref: '#/components/schemas/CreditEnhancements'
          type: array
          title: Security Compliance
          description: Credit application security compliance enhancements
      type: object
      required:
        - details
        - customers
        - suppliers
        - security_compliance
      title: FactoringData
    RetrieveCreditApplicationPostApprovalChange:
      properties:
        proposed_amount:
          anyOf:
            - type: integer
              maximum: 2147483647
              minimum: 0
            - type: 'null'
          title: Proposed Amount
          description: Proposed new credit amount
          examples:
            - 60000
            - 70000
        proposed_terms:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Proposed Terms
          description: Proposed new payment terms
          examples:
            - Net 45
            - Net 90
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when post approval action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when post approval action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - created_at
        - updated_at
      title: RetrieveCreditApplicationPostApprovalChange
    RetrieveCreditApplicationNeedsActionChange:
      properties:
        financial_analysis_type:
          $ref: '#/components/schemas/CreditApplicationFinancialAnalysisType'
          description: Type of financial analysis required
        financial_documents:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreditApplicationFinancialDocument'
              type: array
              minItems: 1
            - type: 'null'
          title: Financial Documents
          description: List of financial documents required
        additional_documents:
          anyOf:
            - items:
                type: string
              type: array
              minItems: 1
            - type: 'null'
          title: Additional Documents
          description: Additional supporting documents
          examples:
            - One year cashflow statement
        message:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Message
          description: Optional message for the applicant
          examples:
            - Please provide updated financials
        additional_documents_sent:
          type: boolean
          title: Additional Documents Sent
          description: Indicates if additional documents were sent
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when needs-action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when needs-action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - financial_analysis_type
        - created_at
        - updated_at
      title: RetrieveCreditApplicationNeedsActionChange
    RetrieveCreditApplicationDeclineDetail:
      properties:
        reasons:
          items:
            type: string
          type: array
          minItems: 1
          title: Reasons
          description: List of reasons for declining the application
          examples:
            - Insufficient collateral
        suggestions:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Suggestions
          description: Optional suggestions for the applicant
          examples:
            - Increase collateral
        message:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Message
          description: Optional message regarding the decline
          examples:
            - Application declined due to risk
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when decline detail action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when decline detail action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - reasons
        - created_at
        - updated_at
      title: RetrieveCreditApplicationDeclineDetail
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
    CreditTermsDetails:
      properties:
        annual_revenue:
          type: integer
          maximum: 2147483647
          exclusiveMinimum: 0
          title: Annual Revenue
          description: Annual revenue of the applicant
          examples:
            - 50000
            - 1000000
        credit_amount:
          type: integer
          maximum: 2147483647
          exclusiveMinimum: 0
          title: Credit Amount
          description: Requested credit amount
          examples:
            - 10000
            - 50000
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: >-
            Valid [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
            - EUR
        payment_terms:
          type: string
          maxLength: 20
          title: Payment Terms
          description: Payment terms agreed for credit
          examples:
            - Net 30
            - Net 90
        freight_spend:
          type: integer
          maximum: 2147483647
          exclusiveMinimum: 0
          title: Freight Spend
          description: Freight spend of the organization
          examples:
            - 10000
            - 250000
        purpose:
          anyOf:
            - type: string
              maxLength: 200
            - type: 'null'
          title: Purpose
          description: Optional purpose of the credit request
          examples:
            - Purchase of example goods
      type: object
      required:
        - annual_revenue
        - credit_amount
        - currency
        - payment_terms
        - freight_spend
      title: CreditTermsDetails
    CreditTermsTradeProfile:
      properties:
        shipping_routes:
          items:
            type: string
          type: array
          title: Shipping Routes
          description: List of shipping routes for trade profile
          examples:
            - - New York - Rotterdam
              - Shanghai - Los Angeles
        trade_types:
          items:
            $ref: '#/components/schemas/TradeType'
          type: array
          title: Trade Types
          description: List of trade types involved
        avg_shipment_value:
          type: integer
          maximum: 2147483647
          exclusiveMinimum: 0
          title: Avg Shipment Value
          description: Average shipment value
          examples:
            - 15000
            - 35000
      type: object
      required:
        - shipping_routes
        - trade_types
        - avg_shipment_value
      title: CreditTermsTradeProfile
    CreditApplicationCreditTermsTradeProfileDocument:
      properties:
        filename:
          type: string
          maxLength: 100
          minLength: 1
          title: Filename
          description: Filename of the uploaded trade profile document
          examples:
            - trade_profile_q1.pdf
      type: object
      required:
        - filename
      title: CreditApplicationCreditTermsTradeProfileDocument
    CreditEnhancements:
      properties:
        title:
          type: string
          maxLength: 100
          title: Title
          description: Title of the credit enhancement
          examples:
            - Sign a credit agreement
            - Agree to UCC-1 Filing or similar
        description:
          anyOf:
            - type: string
              maxLength: 200
            - type: 'null'
          title: Description
          description: Optional description of the credit enhancement
          examples:
            - >-
              A formal agreement outlining the terms and remedies in case of
              non-payment
        other:
          type: boolean
          title: Other
          description: Indicates if this enhancement is 'other' type
      type: object
      required:
        - title
        - other
      title: CreditEnhancements
    TradeFinanceDetails:
      properties:
        business_role:
          $ref: '#/components/schemas/CreditApplicationTradeFinanceBusinessRole'
          description: Business role of the organization for trade finance
        monthly_facility_amount:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Monthly Facility Amount
          description: Monthly facility amount requested
          examples:
            - 25000
            - 50000
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: >-
            Valid [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
            - EUR
        payment_terms:
          type: string
          maxLength: 20
          minLength: 1
          title: Payment Terms
          description: Payment terms for trade finance
          examples:
            - Net 30
            - Net 90
        inco_terms:
          type: string
          maxLength: 20
          minLength: 1
          title: Inco Terms
          description: Inco terms for trade finance
          examples:
            - Net 30
            - Net 90
        purpose:
          anyOf:
            - type: string
              maxLength: 200
            - type: 'null'
          title: Purpose
          description: Optional purpose of the trade finance request
          examples:
            - International trade
      type: object
      required:
        - business_role
        - monthly_facility_amount
        - currency
        - payment_terms
        - inco_terms
      title: TradeFinanceDetails
    CreditApplicationCustomerSupplier:
      properties:
        id:
          type: string
          maxLength: 100
          minLength: 10
          title: Id
          description: >-
            Unique identifier of [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f
        company_name:
          type: string
          maxLength: 100
          minLength: 1
          title: Company Name
          description: >-
            Company name of [customer or
            supplier](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - Example Corp
        sales_amount:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Sales Amount
          description: >-
            Sales amount of the
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - 500000
            - 100000
        partner_type:
          type: string
          maxLength: 50
          minLength: 1
          title: Partner Type
          description: >-
            Type of
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        email:
          type: string
          format: email
          title: Email
          description: >-
            Email of the
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - contact@example.com
        frequency:
          type: string
          maxLength: 30
          minLength: 1
          title: Frequency
          description: >-
            Transaction frequency of
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
        payment_terms:
          type: string
          maxLength: 50
          minLength: 1
          title: Payment Terms
          description: >-
            Payment terms agreed with
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - Net 30
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            Payment terms agreed with
            [partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: >-
            Timestamp when
            [record](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
            was updated
          examples:
            - '2025-01-02T12:00:00.123456'
      type: object
      required:
        - id
        - company_name
        - sales_amount
        - partner_type
        - email
        - frequency
        - payment_terms
        - created_at
        - updated_at
      title: CreditApplicationCustomerSupplier
    FactoringDetails:
      properties:
        current_goal:
          $ref: '#/components/schemas/CreditApplicationFactoringCurrentGoal'
          description: Current goal of factoring application
        requested_amount:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Requested Amount
          description: Requested factoring amount
          examples:
            - 75000
            - 225000
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: >-
            Valid [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
            - EUR
        payment_terms:
          type: string
          maxLength: 20
          minLength: 1
          title: Payment Terms
          description: Payment terms for factoring
          examples:
            - Net 30
            - Net 90
        counterparty_id:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Counterparty Id
          description: >-
            Counterparty
            [ID](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f
        purpose:
          anyOf:
            - type: string
              maxLength: 200
            - type: 'null'
          title: Purpose
          description: Optional purpose
          examples:
            - Cover operational costs
      type: object
      required:
        - current_goal
        - requested_amount
        - currency
        - payment_terms
      title: FactoringDetails
    CreditApplicationFinancialAnalysisType:
      type: string
      enum:
        - full
        - partial
        - none
      title: CreditApplicationFinancialAnalysisType
    CreditApplicationFinancialDocument:
      type: string
      enum:
        - year_end_financial
        - interim_financial
        - bank_statement
        - financial_package
      title: CreditApplicationFinancialDocument
    TradeType:
      type: string
      enum:
        - import
        - export
        - domestic
      title: TradeType
    CreditApplicationTradeFinanceBusinessRole:
      type: string
      enum:
        - manufacturer_exporter_seller
        - buyer_importer
        - trader_broker_reseller
      title: CreditApplicationTradeFinanceBusinessRole
    CreditApplicationFactoringCurrentGoal:
      type: string
      enum:
        - sell_invoices
        - pay_supplier_later
      title: CreditApplicationFactoringCurrentGoal
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````